Developer Relations Roadmap
Closed, ResolvedPublic

Description

This roadmap an overview of the Developer-Relations team plans and assumptions. It is organized by US fiscal years (just like the rest of Wikimedia Foundation activities), and then by quarters. More details can be found in the team's workboard and in every monthly sprint.

July 2015 - June 2016

See also: meta:Wikimedia Foundation Annual Plan/2015-16

July - September 2015

  1. T101946: Goal: First Wikimania Hackathon fully integrated with the main program and the editor community
  2. T101441: Goal: Integrate the new Web APIs hub with mediawiki.org
  3. T88531: Goal: Organize a Gerrit Cleanup Day on September 23, 2015
  4. T101393: Goal: All completed GSoC and Outreachy projects have code merged and deployed by September
  5. T101950: Goal: Establish a framework to engage with data engineers and open data organizations
  6. T104282: Goal: Create landing pages for the free open knowledge sources on the Web APIs Hub

See also

October - December 2015

See also:

January - March 2016

April - June 2016

  • Wikimedia-Hackathon-2016 in Jerusalem on 31 March - 4 April
  • Organizing Wikimania Hackathon 2016, held in Esino Larion on 22-24 June
  • Proposed: Wikimedia Foundation commits to a service-level agreement on code review for patches submitted to the repositories we maintain
  • Proposed: integration of Web-APIs-Hub and https://doc.wikimedia.org
  • Organizing Google Summer of Code 2016 and Outreachy round 12

July 2016 - June 2017

  • MediaWiki Developer Summit 2017
  • Wikimedia Hackathon 2017
  • Wikimania Hackathon 2017
  • Organizing Google Summer of Code 2016 & 2017 and Outreachy rounds 12 & 13 & 14
  • Organizing Google Code-in 2016

July 2017 - June 2018

  • MediaWiki Developer Summit 2018
  • Wikimedia Hackathon 2018
  • Wikimania Hackathon 2018
  • Organizing Google Summer of Code 2017 & 2018 and Outreachy rounds 14 & 15 & 16
  • Organizing Google Code-in 2017

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
Qgil created this task.Jun 2 2015, 1:31 PM
Qgil claimed this task.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 1:31 PM

Yesterday @Spage asked whether this roadmap should be here in Phabricator or on-wiki. After thinking a bit more, it is probably easier to start here, in the description of this task. It's the simplest setup, it already implies having to sync once between the content of this roadmap and the quarterly goals, but just once. If we just to on-wiki already, we will need to keep an additional place in sync.

Since this is an experiment, let's start here and we'll see. Agreed?

Qgil edited the task description. (Show Details)Jun 3 2015, 8:13 AM
Qgil set Security to None.
Qgil edited the task description. (Show Details)Jun 10 2015, 8:13 AM
Qgil edited the task description. (Show Details)Jun 10 2015, 12:15 PM
Elitre added a subscriber: Elitre.Jun 10 2015, 2:39 PM
Qgil edited the task description. (Show Details)Jun 15 2015, 8:00 AM
Qgil edited the task description. (Show Details)Jun 18 2015, 7:48 AM
Qgil moved this task from Backlog to Ready to Go on the ECT-June-2015 board.Jun 18 2015, 9:07 AM
Qgil edited the task description. (Show Details)Jun 19 2015, 7:03 AM
Qgil edited the task description. (Show Details)Jun 28 2015, 8:04 AM
Qgil moved this task from Backlog to Doing on the Developer-Relations board.
Qgil edited the task description. (Show Details)Jun 28 2015, 8:40 AM
Qgil edited the task description. (Show Details)Jun 28 2015, 8:53 AM
Qgil lowered the priority of this task from "Normal" to "Low".Jun 28 2015, 8:55 AM

I think this roadmap is ready as far as it gets for the ECT-June-2015 objective. If you have urgent ideas for it, please bring them on. Otherwise let's chage to work-in-progress mode.

Qgil moved this task from Doing to Backlog on the Developer-Relations board.Jun 28 2015, 9:49 PM
Qgil added a comment.Jun 28 2015, 10:54 PM

The Developer-Relations workboard was suboptimal, with columns redundant to the monthly sprints. Now I have added columns for each quarter, as a way to help visualizing the roadmap there.

Let's see how it goes. Keeping it up to date requires certain redundancy, and there is a risk of having things out of sync. The benefit is that tasks planned for a quarter will show the little piece of info in their headers.

Spage edited the task description. (Show Details)Jun 30 2015, 4:32 PM
Qgil edited the task description. (Show Details)Jul 27 2015, 3:47 PM
Qgil edited the task description. (Show Details)Aug 3 2015, 3:14 PM
Qgil edited the task description. (Show Details)Aug 14 2015, 8:27 AM
Qgil edited the task description. (Show Details)Aug 21 2015, 12:54 PM
Qgil edited the task description. (Show Details)Aug 25 2015, 9:28 AM
Qgil edited the task description. (Show Details)Sep 1 2015, 6:54 AM
Qgil changed the title from "Engineering Community Roadmap" to "Developer Relations Roadmap".Sep 13 2015, 12:35 PM
Qgil edited the task description. (Show Details)
Qgil added a comment.EditedSep 30 2015, 8:08 PM

I'm thinking that keeping this Roadmap task brings manual overhead and a remarkable amount of duplication with the Developer-Relations workboard, which is now organized by quarters and I find that very practical.

What should be done to deprecate this roadmap task and rely only on the workboard:

  • Create new tasks for events that we are expecting, even if they are far away, i.e. "Organize Wikimania Hackathon 2016".
  • Prioritize better the tasks in the current and the following quarter, because in these columns it is difficult to see what is more important. The rest of quarters in the more distant future have just a few tasks, so this is not a problem.

@Aklapper @Rfarrand @Spage what do you think?

Yes please. If we can turn every item into a dedicated task but I think we can.
There is the "Backlog" column for far away stuff, and if we wanted we could also have a far-away non-quarterly columns like "year 2017" as we can always hide columns when breaking stuff down into quarters as 2017 approaches.

Qgil closed this task as "Resolved".Nov 4 2015, 2:58 PM

This road-map task is being closed in favor of the Developer-Relations workboard and https://www.mediawiki.org/wiki/Developer_Relations/Planning#Roadmap

The only relevant items without a task are:

Proposed: If nobody has committed to organize a community backlog, then we should step in (in the context of T78639)

This task will be lead by Community-Tech -- see T114193: Administer 2015 Community Wishlist Survey (tracking) and followup.

integration of presentations recorded (events, Tech Talks...), slides, and other materials with Web-APIs-Hub

I have added a point in the agenda of the DevRel weekly meeting to discuss what to do with this idea.

All the rest either has a task or is a predictable event. Closing, and thank you for your attention. :)